#ifndef SERIALCLASS_H_INCLUDED
#define SERIALCLASS_H_INCLUDED

#define ARDUINO_WAIT_TIME 2000

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>

class Serial
{
    private:
        //  COM-
        HANDLE hSerial;
        //  
        bool connected;
        //    
        COMSTAT status;
        //  
        DWORD errors;

		//       
		DWORD bytesSend;

    public:
        //    COM-
		Serial();
		Serial(int portNumber);
        Serial(char *portName);
		bool Open(int port, int baud);
		void OpenPort(char *portName, int baud);
        //  
        //NOTA:  -    
        //   
        ~Serial();
        //       nbChar , 
        //       
        //  
        //  -1  
        int ReadData(char *buffer, unsigned int nbChar);
        //      
        //  true  
        bool WriteData(char *buffer, unsigned int nbChar);
        //   
        bool IsConnected();

		//    SerialGate
		int Send(char* buff, int szBuff);
		int Recv(char* buff, int szBuff);
		void Close();
		void Clean();
};

#endif // SERIALCLASS_H_INCLUDED